package com.xinelu.manage.dto.department;

import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * @author : youxilong
 * @date : 2024/2/28 14:44
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "科室信息DTO对象")
public class DepartmentDTO extends BaseEntity {
    private static final long serialVersionUID = 1L;

	/**
	 * 机构主键
	 */
	@ApiModelProperty(value = "机构主键")
	private Long hospitalAgencyId;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "科室id")
    private Long id;

    /**
     * 科室名称
     */
    @ApiModelProperty(value = "科室名称")
    private String departmentName;

    /**
     * 科室代码
     */
    @ApiModelProperty(value = "科室代码")
    private String departmentCode;

    /**
     * 短信上下架
     */
    private String textMessageStatus;

    /**
     * 微信状态
     */
    private String templateSource;

    private String scriptStatus;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("departmentName", getDepartmentName())
                .append("departmentCode", getDepartmentCode())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
